using System;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace Qusion.WebApp.Areas.Qusion.Models.Events
{
    public class EventCreateInput
    {
        public bool AllDayEvent { get; set; }

        public string Location { get; set; }

        [Required(ErrorMessage = "events.required_title")]
        public string Title { get; set; }

        public string Alias { get; set; }

        [Required(ErrorMessage = "events.required_summary")]
        public string Summary { get; set; }

        public string Content { get; set; }

        [DataType(DataType.Url)]
        [Url(ErrorMessage = "events.invalid_external")]
        public string ExternalLink { get; set; }

        [DataType(DataType.DateTime, ErrorMessage = "events.invalid_startsOn")]
        public DateTime StartsOn { get; set; }

        [DataMember(IsRequired = true)]
        [DataType(DataType.DateTime, ErrorMessage = "events.invalid_endsOn")]
        public DateTime EndsOn { get; set; }

        public string[] Labels { get; set; }
    }
}